clang 8.0.0

Macros | Functions
SemaTemplateVariadic.cpp File Reference
`#include "clang/Sema/Sema.h"`
`#include "TypeLocBuilder.h"`
`#include "clang/AST/Expr.h"`
`#include "clang/AST/RecursiveASTVisitor.h"`
`#include "clang/AST/TypeLoc.h"`
`#include "clang/Sema/Lookup.h"`
`#include "clang/Sema/ParsedTemplate.h"`
`#include "clang/Sema/ScopeInfo.h"`
`#include "clang/Sema/SemaInternal.h"`
`#include "clang/Sema/Template.h"`
`#include "clang/Basic/OpenCLImageTypes.def"`
Include dependency graph for SemaTemplateVariadic.cpp:

Go to the source code of this file.

## Macros
#define | GENERIC_IMAGE_TYPE(ImgType, Id) case TST_##ImgType##_t:

## Functions
static void | CheckFoldOperand (Sema &S, Expr *E)

## Macro Definition Documentation

## ◆ GENERIC_IMAGE_TYPE

#define GENERIC_IMAGE_TYPE | ( |  | ImgType,
|  |  | Id
| ) |  | case TST_##ImgType##_t:

## Function Documentation

## ◆ CheckFoldOperand()

static void CheckFoldOperand | ( | Sema & | S,
|  | Expr * | E
| ) |  |
| static

Definition at line 1119 of file SemaTemplateVariadic.cpp.

References clang::FixItHint::CreateInsertion(), clang::Sema::Diag(), clang::Stmt::getBeginLoc(), clang::Stmt::getEndLoc(), clang::Expr::getExprLoc(), clang::Stmt::getSourceRange(), and clang::Expr::IgnoreImpCasts().

Referenced by clang::Sema::ActOnCXXFoldExpr().